import javax.swing.*;

public class TrikotnaMatrika {


  public static void main(String[] argc)  {
    int stElementov = Integer.parseInt(JOptionPane.showInputDialog("Vnesi stevilo elementov!"));
    int[] tabela = vnos(stElementov);
    int[][] novaTabela = spremeniTabelo(tabela);
    System.out.print(izpis(novaTabela) + "\n");
  }


  public static int[] vnos(int n) {
    //s pomočjo metode 'vnos' vnesemo v tabelo poljubne elemente
    int[] tabela = new int[n];
    int i = 0;
    while (i < n) {
        tabela[i] = Integer.parseInt(JOptionPane.showInputDialog("Vnesi " + (i + 1) + ". element."));
        i++;
    }
    return tabela;
  }


  public static String izpis(int[][] tab) {
    // metoda 'izpis' shrani elemente dvodimenzionalne tabele v niz 'izpis'.
    int n = tab.length; //število vrstic tabele
    String izpis ="";
    int i = 0; //števec vrstic
    while (i < n) {
      int j = 0;//števec elementov v i-ti vrstici
      while (j < tab[i].length) { //nizu 'izpis' dodamo elemente i-te vrstice
        izpis = izpis + tab[i][j] + "\t";
        j++;
      }
      //ko dodamo nizu 'izpis' elemente i-te vrstice, dodamo še znak za preskok v novo vrsto
      //tako bomo pri izpisovanju elementov tabele s pomočjo metode 'izpis' dobili pravo obliko tabele
      izpis = izpis + "\n";
      i++;
    }
    return izpis;
  }


 public static int[][] spremeniTabelo (int[] tabela) {
   //metoda spremeni enodimenzionalno tabelo v dvodimenzionalno(trikotno)
   //1.vrstca ima en element, 2.vrstica dva,... i-ta vrstica i elementov
   int[][] rezultat = new int[tabela.length][];//pripravimo tabelo s toliko vrsticami
                                              //kot je imela prvotna enodimenzionalna tabela elementov
   int i = 0;
   while (i < tabela.length) {//za vsako vrstico pripravimo tabelo z ustreznim številom elementov
                              //za 1.vrstico z enim elementom, za 2.vrstico z dvema elementoma...
     rezultat[i] = new int[i+1];
     i++;
   }
   i = 0;
   while(i < tabela.length) {//prenesemo elemente iz prve v drugo tabelo
     int j = 0;
     while(j <= i) {
       rezultat[i][j] = tabela[i]; //v i-ti vrstci so vsi elementi nove tabele enaki i-temu elementu prvotne tabele
       j++;
     }
     i++;
   }
   return rezultat;
 }

}